SUBDIRS = . pics
INCLUDES =  $(XMMS_INCLUDES) $(all_includes)

kde_module_LTLIBRARIES = mediacontrol_panelapplet.la

mediacontrol_panelapplet_la_SOURCES = \
   mediacontrol.cpp playerInterface.cpp noatunInterface.cpp xmmsInterface.cpp \
   configfrontend.cpp mediacontrolconfigwidget.ui mediacontrolconfig.cpp \
   mediacontroliface.skel
mediacontrol_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
mediacontrol_panelapplet_la_LIBADD = $(LIB_KDEUI) $(XMMS_LIBS)

noinst_HEADERS = mediacontrol.h  playerInterface.h noatunInterface.h xmmsInterface.h \
                 configfrontend.h  mediacontroliface.h mediacontrolconfig.h

KDE_ICON = AUTO
METASOURCES = AUTO

lnkdir   =  $(kde_datadir)/kicker/applets
lnk_DATA = mediacontrol.desktop
EXTRA_DIST = $(lnk_DATA)

messages: rc.cpp
	$(XGETTEXT) *.cpp *.h -o $(podir)/mediacontrol.pot
